# Uses of Interface
org.eclipse.emf.cdo.lm.assembly.AssemblyFactory

Packages that use AssemblyFactory
Package
Description
org.eclipse.emf.cdo.lm.assembly
The generated EMF API of the CDO Lifecycle Management Assembly model.
org.eclipse.emf.cdo.lm.assembly.impl
The generated EMF implementation of the CDO Lifecycle Management Assembly model.

## Uses of AssemblyFactory in org.eclipse.emf.cdo.lm.assembly

Fields in org.eclipse.emf.cdo.lm.assembly declared as AssemblyFactory
Modifier and Type
Field
Description
`static final AssemblyFactory`
AssemblyFactory.`eINSTANCE`
The singleton instance of the factory.
Methods in org.eclipse.emf.cdo.lm.assembly that return AssemblyFactory
Modifier and Type
Method
Description
`AssemblyFactory`
AssemblyPackage.`getAssemblyFactory()`
Returns the factory that creates the instances of the model.

## Uses of AssemblyFactory in org.eclipse.emf.cdo.lm.assembly.impl

Classes in org.eclipse.emf.cdo.lm.assembly.impl that implement AssemblyFactory
Modifier and Type
Class
Description
`class`
`AssemblyFactoryImpl`
An implementation of the model Factory.
Methods in org.eclipse.emf.cdo.lm.assembly.impl that return AssemblyFactory
Modifier and Type
Method
Description
`AssemblyFactory`
AssemblyPackageImpl.`getAssemblyFactory()`
`static AssemblyFactory`
AssemblyFactoryImpl.`init()`
Creates the default factory implementation.